Subject: Re: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Jan 2019 22:10:15 +0200

> Date: Thu, 31 Jan 2019 19:44:43 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> I cannot bind 'inhibit-redisplay' when running window change
>  >> functions as x_consider_frame_title does.
>  >
>  > Why not?
> 
> You mean like with 'pre-redisplay-functions'?  What would I do if a
> Lisp application binds this to nil?

  inhibit-redisplay is a variable defined in ‘xdisp.c’.
  Its value is nil

  Documentation:
  Non-nil means don’t actually do any redisplay.
  This is used for internal purposes.
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

So I think you needn't bother about that.